/* eslint-disable */
// 该文件由 OneAPI 自动生成，请勿手动修改！
import { request } from '@umijs/max';

export async function deviceStoreItems(
  params,
  options,
) {
  return request('/admin/device_store/items', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

export async function deviceStoreCreate(
  body,
  options,
) {
  return request('/admin/device_store/create', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}
export async function deviceStoreUpdate(
  body,
  options,
) {
  return request('/admin/device_store/update', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}

export async function deviceStoreDelete(
  body,
  options,
) {
  return request('/admin/device_store/delete', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}

export async function deviceStoreItem(
  params,
  options,
) {
  return request('/admin/device_store/item', {
    method: 'GET',
    params: { ...params },
    ...(options || {}),
  });
}

